package com.zzwtec.third.model;
import com.zzwtec.third.model.basedata.dto.CommunityDTO;
import com.zzwtec.third.model.permission.dto.ObjRelationDTO;


import java.util.List;

/**
 * create by Jomchen on 2018/12/4
 */
public class SysuserCache {

    /**
     * token 前缀是sysuser- 缓存key
     */
    private String tokenId;

    private String userId;
    /**
     * 物业id
     */
    private String propertyId;
    /**
     * 物业管理员id
     */
    private String id;
    /**
     * 物业管理员name
     */
    private String name;
    /**
     * 是否是web端
     */
    private Boolean isWeb;
    /**
     * 是否是zzw权限账号 用于综治平台区分账号
     */
    private Boolean isZZW=false;

    //角色ID
    private String roleId;
    //数据权限 存储ObjRelationDTO
    private List<ObjRelationDTO> dataAuthList;
    // 功能权限
    private List<String> permissionList;

    /**
     * 用户类型
     */
    private UserType userType;

    //登录管理员所管理的小区集合
    private List<CommunityDTO> manageCommunityList;
    //登录管理员当前管理的小区
    private CommunityDTO currentManageCommunity;


    public String getTokenId() {
        return tokenId;
    }

    public void setTokenId(String tokenId) {
        this.tokenId = tokenId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(String propertyId) {
        this.propertyId = propertyId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getWeb() {
        return isWeb;
    }

    public void setWeb(Boolean web) {
        isWeb = web;
    }

    public Boolean getZZW() {
        return isZZW;
    }

    public void setZZW(Boolean ZZW) {
        isZZW = ZZW;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public List<ObjRelationDTO> getDataAuthList() {
        return dataAuthList;
    }

    public void setDataAuthList(List<ObjRelationDTO> dataAuthList) {
        this.dataAuthList = dataAuthList;
    }

    public List<String> getPermissionList() {
        return permissionList;
    }

    public void setPermissionList(List<String> permissionList) {
        this.permissionList = permissionList;
    }

    public UserType getUserType() {
        return userType;
    }

    public void setUserType(UserType userType) {
        this.userType = userType;
    }

    public List<CommunityDTO> getManageCommunityList() {
        return manageCommunityList;
    }

    public void setManageCommunityList(List<CommunityDTO> manageCommunityList) {
        this.manageCommunityList = manageCommunityList;
    }

    public CommunityDTO getCurrentManageCommunity() {
        return currentManageCommunity;
    }

    public void setCurrentManageCommunity(CommunityDTO currentManageCommunity) {
        this.currentManageCommunity = currentManageCommunity;
    }
}
